%global gem_name docile
Summary:             Docile keeps your Ruby DSLs tame and well-behaved
Name:                rubygem-%{gem_name}
Version:             1.1.5
Release:             1
License:             MIT
URL:                 https://ms-ati.github.com/docile/
Source0:             https://rubygems.org/gems/docile-%{version}.gem
BuildRequires:       ruby(release) rubygems-devel rubygem(mime-types) rubygem(rake)
BuildRequires:       rubygem(redcarpet) rubygem(rspec) rubygem(yard)
BuildArch:           noarch
%description
Docile turns any Ruby object into a DSL.
Especially useful with the Builder pattern.

%package help
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
Provides:            %{name}-doc = %{version}-%{release}
Obsoletes:           %{name}-doc < %{version}-%{release}
%description help
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
rm -rf %{buildroot}%{gem_instdir}/{.coveralls.yml,.gitignore,.rspec,.ruby-gemset,.ruby-version,.travis.yml,.yard*}

%check
rspec -Ilib spec

%files
%doc %{gem_instdir}/LICENSE
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/docile.gemspec
%{gem_spec}

%files help
%doc %{gem_docdir}
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/on_what.rb
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Sat Aug 22 2020 liyanan <liyanan32@huawei.com> - 1.1.5-1
- package init
